Delete Simulation
curl --request DELETE \
--url https://api.continuouslabs.ai/v1/simulations/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulations/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.continuouslabs.ai/v1/simulations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "simulation_not_found",
"detail": "No Simulation was found with ID \"sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6\"."
}{
"code": "simulation_world_owned",
"detail": "The Simulation with ID \"sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6\" belongs to the World with ID \"wld_01J8Z5X4K7M2N9P0Q1R2S3T4V7\". Manage it through the World."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}Simulations
Delete Simulation
Deletes a Simulation and its saved runtime state. Delete World-owned Simulations through their World.
DELETE
https://api.continuouslabs.ai
/
v1
/
simulations
/
{id}
Delete Simulation
curl --request DELETE \
--url https://api.continuouslabs.ai/v1/simulations/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulations/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.continuouslabs.ai/v1/simulations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "simulation_not_found",
"detail": "No Simulation was found with ID \"sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6\"."
}{
"code": "simulation_world_owned",
"detail": "The Simulation with ID \"sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6\" belongs to the World with ID \"wld_01J8Z5X4K7M2N9P0Q1R2S3T4V7\". Manage it through the World."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}